Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.atriby.com/llms.txt

Use this file to discover all available pages before exploring further.

Use GET /api/v1/orders para listar pedidos do dashboard autenticado pelo token.

Query params

ParâmetroDescrição
pagePágina 1-based. Default: 1.
pageSizeItens por página. Default: 20, máximo: 100.
statuspending, paid, refused, refunded ou chargedback.
fromFiltra createdAt >= from; exige ISO 8601 com timezone.
toFiltra createdAt <= to; exige ISO 8601 com timezone.

Exemplo

curl "https://app.atriby.com/api/v1/orders?status=paid&page=1&pageSize=20&from=2026-05-01T00:00:00Z&to=2026-05-31T23:59:59Z" \
  -H "Authorization: Bearer <TOKEN>"

Resposta

{
  "orders": [
    {
      "id": "clx_internal_id",
      "externalId": "order_001",
      "status": "paid",
      "isTest": false,
      "platform": "checkout",
      "paymentMethod": "credit_card",
      "createdAt": "2026-05-10T15:34:14.000Z",
      "paidAt": "2026-05-10T15:40:00.000Z",
      "amounts": {
        "currency": "BRL",
        "grossCents": 20000,
        "netToSellerCents": 17000
      },
      "tracking": {
        "utmSource": "facebook",
        "utmMedium": "cpc",
        "utmCampaign": "lancamento"
      }
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 1
}
Filtros inválidos retornam 400 VALIDATION_FAILED com details.